FreeBSD : w3m -- format string vulnerability (9347d82d-9a66-11db-b271-000e35248ad7)

High Nessus Plugin ID 23989


The remote FreeBSD host is missing one or more security-related updates.


An anonymous person reports :

w3m-0.5.1 crashes when using the -dump or -backend options to open a HTTPS URL with a SSL certificate where the CN contains '%n%n%n%n%n%n'.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 23989

File Name: freebsd_pkg_9347d82d9a6611dbb271000e35248ad7.nasl

Version: $Revision: 1.12 $

Type: local

Published: 2007/01/08

Modified: 2016/05/09

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:ja-w3m, p-cpe:/a:freebsd:freebsd:ja-w3m-img, p-cpe:/a:freebsd:freebsd:w3m, p-cpe:/a:freebsd:freebsd:w3m-img, p-cpe:/a:freebsd:freebsd:w3m-m17n, p-cpe:/a:freebsd:freebsd:w3m-m17n-img, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2007/01/03

Vulnerability Publication Date: 2006/12/10

Reference Information

CVE: CVE-2006-6772

BID: 21735

Secunia: 23492

CWE: 134